%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-IPC-SharedCache
Version:        1.3
Release:        5

Summary:        Perl module to manage a cache in SysV IPC shared memory

Group:          Development/Libraries
License:        GPL
URL:            http://search.cpan.org/dist/IPC-SharedCache/
Source0:        http://www.cpan.org/authors/id/S/SA/SAMTREGAR/IPC-SharedCache-1.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1, perl(IPC::ShareLite) >= 0.06, perl(Storable)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a shared memory cache accessed as a tied hash.
Shared memory is an area of memory that is available to all processes.
It is accessed by choosing a key, the ipc_key argument to tie.  Every
process that accesses shared memory with the same key gets access to
the same region of memory.  In some ways it resembles a file system,
but it is not hierarchical and it is resident in memory.  This makes
it harder to use than a filesystem but much faster.  The data in
shared memory persists until the machine is rebooted or it is
explicitly deleted.


%prep
%setup -q -n IPC-SharedCache-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE Changes LICENSE README
%{perl_vendorlib}/IPC
%{_mandir}/man3/*.3*


%changelog
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Jun 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-0.fdr.4
- Fix license (bug 1783).
- BuildReq perl(Storable) (bug 1783).

* Fri Jun 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-0.fdr.3
- Bring up to date with current fedora.us perl spec template.

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-0.fdr.2
- Reduce directory ownership bloat.
- Require perl(:MODULE_COMPAT_*).
- BuildArch: noarch.

* Tue Nov 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-0.fdr.1
- First build.
